import { defineStore } from 'pinia';
import type { BaseStateType } from '../types';

const useBaseStore = defineStore('base', {
  state: (): BaseStateType => ({
    manageJsLoaded: false,
    hotJsLoaded: false,
  }),
  actions: {
    handleJSLoaded(key: string) {
      this[key] = true;
    },
  },
});

export default useBaseStore;
